# kyotocabinet::BasicDB::ProgressChecker Class Reference

Interface to check progress status of long process. More...

`#include <kcdb.h>`

List of all members.

## Public Member Functions

virtual | ~ProgressChecker ()
| Destructor.
virtual bool | check (const char *name, const char *message, int64_t curcnt, int64_t allcnt)=0
| Check the progress status.

## Detailed Description

Interface to check progress status of long process.

## Constructor & Destructor Documentation

virtual kyotocabinet::BasicDB::ProgressChecker::~ProgressChecker | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool kyotocabinet::BasicDB::ProgressChecker::check | ( | const char * | name,
|  | const char * | message,
|  | int64_t | curcnt,
|  | int64_t | allcnt
| ) |  | `[pure virtual]`

Check the progress status.

Parameters:

  name | the name of the process.
  message | a supplement message.
  curcnt | the count of the current step of the progress, or -1 if not applicable.
  allcnt | the estimation count of all steps of the progress, or -1 if not applicable.

Returns:
  true to continue the process, or false to stop the process.